Subject: bug#30816: 27.0.50; Info documentation of previous-property-change is not very clear

From: Xu Chunyang <[email-masked]>
Date: Thu, 15 Mar 2018 03:04:30 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Xu Chunyang <[email-masked]>
>> Date: Wed, 14 Mar 2018 17:58:32 +0800
>> 
>> 
>> (info "(elisp) Property Search") has the following:
>> 
>>      -- Function: previous-property-change pos &optional object limit
>>          This is like ‘next-property-change’, but scans back from POS
>>          instead of forward.  If the value is non-‘nil’, it is a position
>>                                  ^^^^^^^^^
>>          less than or equal to POS; it equals POS only if LIMIT equals POS.
>>                                     ^^
>> 
>> I don't understand the second sentence. What "the value" stands for?
>
> When we say "value" in the context of describing a function, we mean
> the value the function returns.  In this case, the value returned by
> previous-property-change.

I see. I notice the term "the return value" is also used in some place
in the manual.

>> If it stands for LIMIT, what "it" stands for?
>
> "It" stands for the value returned by the function.  the text says
> that the function returns the position of the previous change of the
> property, and that position could only be the same as the starting
> position POS if LIMIT is equal to POS, i.e. if LIMIT forces the
> function to stop at its starting position.
>
> I hope this clarifies the issue.

Thanks for your explanation. Feel free to close the issue.